Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034205
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] I. Performancemajoralways2016-10-13 18:252016-12-16 18:39
ReporterJONHMView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionfixedFixed in Version3.0PR17Q1
StatusclosedFix in branchFixed in SCM revisiona9ab872b6dee
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034205: View c_invoice_candidate_v has performance problem when having lots of unpaid invoices

DescriptionWhen having lots of unpaid invoices, the view c_invoice_candidate_v presents a performance problem. It have a lot of sequential accesses.
Steps To Reproducecheck c_invoice_candidate_v
If we make an explain of the query, we can see a lot of sequential accesses on c_orderline table
Proposed SolutionI also add a patch with some change proposals
TagsPerformance
Attached Filesdiff file icon patch.diff [^] (7,155 bytes) 2016-10-14 11:56 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00142522.50MP22 closedharikrishnan Invoice Term "Do not invoice" fails when creating Invoice from Shipment 
related to defect 00192783.0MP8 closedjecharri Error with parcial "Goods Shipments" and Invoices 
causes defect 0035341 closedmcobas Wrong orders shown in "Create Invoices From Orders" window 

-  Notes
(0090952)
hgbot (developer)
2016-10-27 13:15

Repository: erp/devel/pi
Changeset: a9ab872b6deefcd0565250d8bed1402d97f085a2
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Oct 27 12:14:29 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a9ab872b6deefcd0565250d8bed1402d97f085a2 [^]

Fixes issue 34205: Improve c_invoice_candidate_v view performance

---
M src-db/database/model/views/C_INVOICE_CANDIDATE_V.xml
---
(0091691)
hgbot (developer)
2016-11-21 11:19

Repository: erp/devel/pi
Changeset: a86d3e78d9bc8105a30d3941663d6d6cd5767980
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Sun Nov 13 23:49:39 2016 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/a86d3e78d9bc8105a30d3941663d6d6cd5767980 [^]

Related to issue 34205: Remove OR clause for invoicerule='N'

Remove OR clause for invoicerule='N' from c_invoice_candidate_v query to avoid orders having invoice rule as Do Not Invoice.

---
M src-db/database/model/views/C_INVOICE_CANDIDATE_V.xml
---
(0091692)
aferraz (developer)
2016-11-21 11:20

Code review + Testing OK
(0092021)
hgbot (developer)
2016-12-02 11:20

Repository: erp/devel/pi
Changeset: daca5e5e260e11bebd32898f38321ebd84a0c07d
Author: Atul Gaware <atul.gaware <at> openbravo.com
Date: Fri Dec 02 10:26:25 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/daca5e5e260e11bebd32898f38321ebd84a0c07d [^]

Related to issue 34205: Code review improvements

- Fix parenthesis in C_INVOICE_CANDIDATE_V view.
- Fix CreateFrom_InvoiceData.selectFromShipmentSOTrxCombo query, by retrieving shipments not related to orders or shipments related to orders with invoicerule <> 'N'.
- Remove unnecessary ic.term <> 'N' checks, as C_INVOICE_CANDIDATE_V view will not retrieve orders with invoicerule = 'N' anymore.

---
M src-db/database/model/views/C_INVOICE_CANDIDATE_V.xml
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_Invoice_data.xsql
M src/org/openbravo/erpCommon/ad_forms/GenerateInvoicesmanual_data.xsql
---
(0092022)
aferraz (developer)
2016-12-02 11:24

Test Plan A
- Go to F&B International Group Admin.
- Create a Invoice Schedule with name Daily and frequancy as Daily.
- For business partner "Hoteles Buenas Noches, S.A.", in Customer Tab using invoice term as "Customer Schedule After Delivery" set Invoice Schedule as Daily.
- Keeping Invoice Schedule as Daily set invoice term as blank.
- Create a Order for business partner "Hoteles Buenas Noches, S.A." with Immediate Invoice Term. Add Line/s to it. Complete it.
- Create a Sales Invoice Header. Using Create Lines From, try to select above order.
- Above order appears in the drop down list.

Test Plan B
- Create a Order with invoice term 'Do Not Invoice'. Add line and Complete it.
- Create a Shipment for above order.
- Create a Sales Invoice Header and using Create Lines From, check Shipment Combo.
- Above shipment does not appear in drop down list.

Test Plan C
- Create Sales Order with Invoice Term as "Do Not Invoice". Add line/s to it. Book it.
- Create a Sales invoice Header, using Create Lines From button process check Order combo.
- Above order does not appear in the list.
- Go to Create Invoices From Order process.
- Try to search above order, it wont appear in the grid.
- Create a Shipment for above Order.
- Go to Create Invoices From Order process.
- Try to search above order, it wont appear in the grid.
- Go to Sales Invoice created above, using Create Lines From button process check Order combo.
- Above order does not appear in the list.
- Check Shipment combo, above created shipment does not appear in the list.

Test Plan D
- Create Sales Order's with Invoice Term as "Immediate".
- Go to Create Invoice From Order process.
- Try to search above order, it appears in the grid.
- Create Sales Invoice and Using Create Lines From button process, Check Order Combo.
- Above order appears in the list.

Test Plan E
- Create Sales Order's with Invoice Term as "Customer Schedule After Delivery" or "After Delivery" or "After Order Delivered"
- Create Sales Invoice and Using Create Lines From button process, Check Order Combo.
- Above order does not appears in the list.
- Go to Create Invoices From Orders process.
- Check above order does not appears in the grid.
- Create Shipment for above order.
- Go back to Sales Invoice created and Using Create Lines From button process, Check Order Combo.
- Above order appears in the list.
- Go to Create Invoices From Orders process.
- Check above order appears in the grid.

Test Plan F
- Create a Shipment for any business partner. Add line and process it.
- Create a Invoice Header for same business partner.
- Using Create Lines From button, check Shipment Combo.
- Above Shipment should appear in the list.
(0092580)
hudsonbot (developer)
2016-12-16 18:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test
(0092646)
hudsonbot (developer)
2016-12-16 18:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test
(0092685)
hudsonbot (developer)
2016-12-16 18:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-10-13 18:25 JONHM New Issue
2016-10-13 18:25 JONHM Assigned To => platform
2016-10-13 18:25 JONHM Modules => Core
2016-10-13 18:25 JONHM Triggers an Emergency Pack => No
2016-10-14 07:30 alostale Tag Attached: Performance
2016-10-14 07:30 alostale Assigned To platform => Triage Finance
2016-10-14 11:56 JONHM Proposed Solution updated
2016-10-14 11:56 JONHM File Added: patch.diff
2016-10-17 11:57 aferraz Assigned To Triage Finance => AtulOpenbravo
2016-10-17 12:20 AtulOpenbravo Status new => scheduled
2016-10-25 16:48 ahernandezgil Issue Monitored: ahernandezgil
2016-10-27 13:15 hgbot Checkin
2016-10-27 13:15 hgbot Note Added: 0090952
2016-10-27 13:15 hgbot Status scheduled => resolved
2016-10-27 13:15 hgbot Resolution open => fixed
2016-10-27 13:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a9ab872b6deefcd0565250d8bed1402d97f085a2 [^]
2016-10-27 13:25 aferraz Review Assigned To => aferraz
2016-10-27 13:25 aferraz Note Added: 0090953
2016-10-27 13:25 aferraz Status resolved => closed
2016-10-27 13:25 aferraz Fixed in Version => 3.0PR17Q1
2016-11-21 11:19 hgbot Checkin
2016-11-21 11:19 hgbot Note Added: 0091691
2016-11-21 11:20 aferraz Note Deleted: 0090953
2016-11-21 11:20 aferraz Note Added: 0091692
2016-11-25 15:02 JONHM Relationship added related to 0034637
2016-11-25 15:34 aferraz Relationship deleted related to 0034637
2016-11-25 15:34 aferraz Relationship added causes 0034637
2016-12-02 09:49 aferraz Relationship added related to 0014252
2016-12-02 09:49 aferraz Relationship added related to 0019278
2016-12-02 11:20 hgbot Checkin
2016-12-02 11:20 hgbot Note Added: 0092021
2016-12-02 11:24 aferraz Note Added: 0092022
2016-12-16 18:38 hudsonbot Checkin
2016-12-16 18:38 hudsonbot Note Added: 0092580
2016-12-16 18:38 hudsonbot Checkin
2016-12-16 18:38 hudsonbot Note Added: 0092646
2016-12-16 18:39 hudsonbot Checkin
2016-12-16 18:39 hudsonbot Note Added: 0092685
2017-02-23 10:25 aferraz Relationship added related to 0035341
2017-02-27 17:18 markmm82 Relationship deleted related to 0035341
2017-02-27 17:18 markmm82 Relationship added causes 0035341


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker